/**********************************************************************
* File: 
* Programmer: Justin Jordan
* Started: 21JUN14
* Updated: 14AUG14
*
* Description: 
*
**********************************************************************/


#include "hw.h"

  
/**********************************************************************
* Function: init_hardware()
* Parameters: none
* Returns: none
*
* Description: Initializes serial ports for enviroment

**********************************************************************/
void init_hardware(void)
{
  //Set up port for LED on P5.2
  PD5 = 0x04;  
  PO5 = 0xFB;
  PO5_bit.bit2 = 0;
  
  uart_t com0 = uart0;
  uart_mode_t com0_mode = mode1_no_int;
  uart_bps_t com0_bps = baud_9600;
  
  uart_t com1 = uart1;
  uart_mode_t com1_mode = mode1_no_int;
  uart_bps_t com1_bps = baud_9600;

  initialize_uart(com0, com0_mode, com0_bps);
  initialize_uart(com1, com1_mode, com1_bps);
}


/**********************************************************************
* Function: ssi_rx_byte()
* Parameters: none
* Returns: data - received byte from EMD
*
* Description: Receives 1 byte of data from EMD 
*
**********************************************************************/
unsigned char ssi_rx_byte(void)
{
  //timeout = ~20ms
  return(uart_rx_byte(uart1, 5000));
}


/**********************************************************************
* Function: ssi_tx_byte()
* Parameters: data - byte of data to send to EMD 
* Returns: none
*
* Description: Sends 1 byte of data to EMD

**********************************************************************/
void ssi_tx_byte(unsigned char data)
{
  uart_tx_byte(uart1, data);
}


/**********************************************************************
* Copyright (C) 2013 Maxim Integrated Products, Inc., All Rights Reserved.
*
* Permission is hereby granted, free of charge, to any person obtaining a
* copy of this software and associated documentation files (the "Software"),
* to deal in the Software without restriction, including without limitation
* the rights to use, copy, modify, merge, publish, distribute, sublicense,
* and/or sell copies of the Software, and to permit persons to whom the
* Software is furnished to do so, subject to the following conditions:
*
* The above copyright notice and this permission notice shall be included
* in all copies or substantial portions of the Software.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
* IN NO EVENT SHALL MAXIM INTEGRATED BE LIABLE FOR ANY CLAIM, DAMAGES
* OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
* ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
* OTHER DEALINGS IN THE SOFTWARE.
*
* Except as contained in this notice, the name of Maxim Integrated
* Products, Inc. shall not be used except as stated in the Maxim Integrated
* Products, Inc. Branding Policy.
*
* The mere transfer of this software does not imply any licenses
* of trade secrets, proprietary technology, copyrights, patents,
* trademarks, maskwork rights, or any other form of intellectual
* property whatsoever. Maxim Integrated Products, Inc. retains all
* ownership rights.
**********************************************************************/

