/**********************************************************************
* File: 
* Programmer: Justin Jordan
* Started: 21JUN14
* Updated: 14AUG14
*
* Description: 
*
**********************************************************************/


#ifndef __HW_H
#define __HW_H

#include <iomaxq2010.h>
#include "maxq20_uart.h"
#include "misc.h"


#define ESC 0x1B


/**********************************************************************
* Function: init_hardware()
* Parameters: none
* Returns: none
*
* Description: Initializes serial ports for enviroment

**********************************************************************/
void init_hardware(void);


/**********************************************************************
* Function: ssi_rx_byte()
* Parameters: none
* Returns: data - received byte from EMD
*
* Description: Receives 1 byte of data from EMD 
*
**********************************************************************/
unsigned char ssi_rx_byte(void);


/**********************************************************************
* Function: ssi_tx_byte()
* Parameters: data - byte of data to send to EMD 
* Returns: none
*
* Description: Sends 1 byte of data to EMD

**********************************************************************/
void ssi_tx_byte(unsigned char data);


#endif /* __HW_H */



/**********************************************************************
* Copyright (C) 2013 Maxim Integrated Products, Inc., All Rights Reserved.
*
* Permission is hereby granted, free of charge, to any person obtaining a
* copy of this software and associated documentation files (the "Software"),
* to deal in the Software without restriction, including without limitation
* the rights to use, copy, modify, merge, publish, distribute, sublicense,
* and/or sell copies of the Software, and to permit persons to whom the
* Software is furnished to do so, subject to the following conditions:
*
* The above copyright notice and this permission notice shall be included
* in all copies or substantial portions of the Software.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
* IN NO EVENT SHALL MAXIM INTEGRATED BE LIABLE FOR ANY CLAIM, DAMAGES
* OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
* ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
* OTHER DEALINGS IN THE SOFTWARE.
*
* Except as contained in this notice, the name of Maxim Integrated
* Products, Inc. shall not be used except as stated in the Maxim Integrated
* Products, Inc. Branding Policy.
*
* The mere transfer of this software does not imply any licenses
* of trade secrets, proprietary technology, copyrights, patents,
* trademarks, maskwork rights, or any other form of intellectual
* property whatsoever. Maxim Integrated Products, Inc. retains all
* ownership rights.
**********************************************************************/

